Clear values from a target instance
concept brazil Updated Sep 10, 2026 1 min read clearing-values-target.md
You can pass an empty value through a SOAP parameter to clear the respective value in the target instance.
You can also pass an empty (null) value through the &allow_empty_value=true SOAP query parameter to clear the respective value in the target instance.
For example, https://<instance name>.service-now.com/incident.do?SOAP&allow_empty_value=true lets you pass an empty value to the incident record in an instance.
You can then enter lines like the following in the SOAP request:
XML
<assigned_to>value</assigned_to><assignment_group>value</assignment_group><category></category>In the above example,
<assigned_to>value</assigned_to>changes the value in the Assigned to field to the value specified in the SOAP request.<assignment_group>value</assignment_group>changes the value in the Assignment group field to the value specified in the SOAP request.<category></category>clears the value in the Category field.
Parent Topic:Direct web services
Related topics
Use forms to limit or extend the query response
Return the display value for reference variables
Retrieve journal entries using direct web services
Retrieve choice fields using direct web services
54 lines · 2.0 KB
--- title: Clear values from a target instance description: You can pass an empty value through a SOAP parameter to clear the respective value in the target instance. locale: en-US canonical_url: https://www.servicenow.com/docs/r/api-reference/web-services/clearing-values-target.html release: brazil product: Web Services classification: web-services topic_type: concept last_updated: "2026-09-10" reading_time_minutes: 1 breadcrumb: [Direct services, SOAP web service, Inbound, Web services, API implementation, API implementation and reference] --- # Clear values from a target instance You can pass an empty value through a SOAP parameter to clear the respective value in the target instance. You can also pass an empty \(null\) value through the **&allow\_empty\_value=true** SOAP query parameter to clear the respective value in the target instance. For example, `https://<instance name>.service-now.com/incident.do?SOAP&allow_empty_value=true` lets you pass an empty value to the incident record in an instance. You can then enter lines like the following in the SOAP request: ``` <assigned_to>value</assigned_to> <assignment_group>value</assignment_group> <category></category> ``` In the above example, - `<assigned_to>value</assigned_to>` changes the value in the **Assigned to** field to the value specified in the SOAP request. - `<assignment_group>value</assignment_group>` changes the value in the **Assignment group** field to the value specified in the SOAP request. - `<category></category>` clears the value in the **Category** field. **Parent Topic:**[Direct web services](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/brazil/markdown/api-reference/web-services/c_DirectWebServices.md) **Related topics** [Use forms to limit or extend the query response]() [Return the display value for reference variables]() [Retrieve journal entries using direct web services]() [Retrieve choice fields using direct web services]() [Persist an HTTP session across all SOAP calls]() [SOAP direct web service API functions]()
| title | Clear values from a target instance |
| description | You can pass an empty value through a SOAP parameter to clear the respective value in the target instance. |
| locale | en-US |
| canonical_url | https://www.servicenow.com/docs/r/api-reference/web-services/clearing-values-target.html |
| release | brazil |
| product | Web Services |
| classification | web-services |
| topic_type | concept |
| last_updated | 2026-09-10 |
| reading_time_minutes | 1 |
| breadcrumb | Direct servicesSOAP web serviceInboundWeb servicesAPI implementationAPI implementation and reference |